%define anolis_release 4
Name:           libgxps
Version:        0.3.2
Release:        %{anolis_release}%{?dist}
Summary:        GObject based library for handling and rendering XPS documents

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/libgxps
Source0:        https://ftp.gnome.org/pub/gnome/sources/%{name}/0.3/%{name}-%{version}.tar.xz

BuildRequires:  meson >= 0.43.0
BuildRequires:  pkgconfig(cairo) >= 1.10.0
BuildRequires:  pkgconfig(cairo-pdf) >= 1.10.0
BuildRequires:  pkgconfig(cairo-ps) >= 1.10.0
BuildRequires:  pkgconfig(cairo-svg) >= 1.10.0
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gio-2.0) >= 2.36.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libarchive) >= 2.8.0
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc

%description
libgxps is a GObject based library for handling and rendering XPS
documents.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        tools
Summary:        Command-line utility programs for manipulating XPS files
Requires:       %{name} = %{version}-%{release}

%description    tools
The %{name}-tools contains command-line programs for manipulating XPS format
documents using the %{name} library.


%prep
%autosetup -p1

%build
%meson -Denable-gtk-doc=true -Denable-man=true
%meson_build

%install
%meson_install

%files
%license COPYING
%{_libdir}/*.so.2
%{_libdir}/*.so.2.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib

%files doc
%doc AUTHORS MAINTAINERS NEWS README TODO

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libgxps


%files tools
%{_bindir}/xpsto*
%{_mandir}/man1/xpsto*.1*

%changelog
* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 0.3.2-4
- Rebuild for new libtiff

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.2-1
- Init from  upstream version 0.3.2
